@angular/core versions and peer dependencies

The table below has a list of all versions of @angular/core compatible peers dependencies.

Version Peer Dependency Versions
2.0.0 - 2.2.4
  • rxjs @ 5.0.0-beta.12
  • zone.js @ ^0.6.21
2.3.0 - 2.3.1
  • rxjs @ 5.0.0-rc.4
  • zone.js @ ^0.7.2
2.4.0 - 2.4.10
  • rxjs @ ^5.0.1
  • zone.js @ ^0.7.2
4.0.0 - 4.4.7
  • rxjs @ ^5.0.1
  • zone.js @ ^0.8.4
5.0.0 - 5.2.11
  • rxjs @ ^5.5.0
  • zone.js @ ^0.8.4
6.0.0 - 6.1.10
  • rxjs @ ^6.0.0
  • zone.js @ ~0.8.26
7.0.0
  • @angular/compiler @ 7.0.0
  • rxjs @ ^6.0.0
  • zone.js @ ~0.8.26
7.0.1
  • @angular/compiler @ 7.0.1
  • rxjs @ ^6.0.0
  • zone.js @ ~0.8.26
7.0.2 - 7.2.16
  • rxjs @ ^6.0.0
  • zone.js @ ~0.8.26
8.0.0 - 8.2.14
  • rxjs @ ^6.4.0
  • zone.js @ ~0.9.1
9.0.0 - 9.1.0
  • rxjs @ ^6.5.3
  • tslib @ ^1.10.0
  • zone.js @ ~0.10.2
9.1.1 - 9.1.13
  • rxjs @ ^6.5.3
  • tslib @ ^1.10.0
  • zone.js @ ~0.10.3
10.0.0 - 10.2.4
  • rxjs @ ^6.5.3
  • zone.js @ ~0.10.3
11.0.0 - 11.0.9
  • rxjs @ ^6.5.3
  • zone.js @ ~0.10.3
11.1.0 - 11.2.5
  • rxjs @ ^6.5.3
  • zone.js @ ^0.10.2 || ^0.11.3